Subject: [Teas] New Comments on Segment Routing(5): Challenge of Hot-standby for SR-TE Path

From: Lizhenbin <[email-masked]>
Date: Mon, 26 Jan 2015 11:21:15 +0000

Hi all authors of segment routing,

This is the fifth comments on segment routing. It is related with SR-TE path and I include the TEAS WG in the dicussion.

         1              1           1            1
  S11-----------S12----------S13---------S14---------S15
   |             |            |           |           |
  1|            1|           1|          1|          1|
   |             |            |           |           |
  S21-----------S22----------S23---------S24---------S25
         4              4           4            4

MPLS TE hotstandy is always adopted in the MPLS for the traffic protection. In order to avoid one node/link failure cause

both the primary path and the backup path becomes down, it is required that the primary path and the backup path should

be totally disjointed.

I assume that the design priniciple should be also applied to the SR-TE path. If so, taking into account the above topoloty

 (the numbers near the line represent the metrics of the links), in order to guarantee the disjoint of the primary path

and the backup path, the label stack [ S22 SL(S22/S23) S23 SL(S23/24) S24 SL(S24/S25) S15 ] (SL means the link segment

between the two neighboring nodes) must be specified for the hotstandby path. So in the case there maybe more labels to be

encapsulated for the packets forwarded through the hot-standby path. It may be easy to exceed the hardware limitation and

cause the low efficiency payload.

I wonder if you think about the challenge. Hope to get your opinion on it.

Regards,
Robin